Bug 1013972 - Tab Extends for auto-completing home directory path is not working correctly
Tab Extends for auto-completing home directory path is not working correctly
Status: CLOSED CURRENTRELEASE
Product: JBoss Enterprise Application Platform 6
Classification: JBoss
Component: Installer (Show other bugs)
6.2.0
Unspecified Windows
unspecified Severity urgent
: CR1
: EAP 6.2.0
Assigned To: Miles Tjandrawidjaja
Petr Kremensky
Russell Dickenson
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-10-01 03:39 EDT by Petr Kremensky
Modified: 2013-12-15 11:13 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
In the console installer for JBoss EAP 6, using the +Tab+ key to autocomplete home directory paths would not work as expected. Instead of autocompleting the home directory paths, on Microsoft Windows Server nothing was shown, and on Linux `/home` was incorrectly inserted. This issue has been fixed in this release of JBoss EAP 6, so that when entering `~` and pressing +Tab+, the home directory path is autocompleted as expected. On Microsoft Windows Server the path is `C:\Users\USERNAME`, and on Linux it is `/home/USER`.
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-12-15 11:13:57 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Petr Kremensky 2013-10-01 03:39:54 EDT
Description of problem:
I am unable to use tab for filling paths on windows.

Version-Release number of selected component (if applicable):
EAP 6.2.0.ER3

Steps to Reproduce:
1. Start console installation
2. Accept EULA and try to enter some path using tab

Actual results:
"C:\" + tab: don't show any folders

Expected results:
"C:\" + tab: will show content of C:\

Additional info:
"~\" + tab and "" + tab is working as expected
Comment 1 Miles Tjandrawidjaja 2013-11-05 10:22:14 EST
Jline has been modified so that "~" and "~/" expands to the users home directory.
Autocomplete starting with "C:\" still does not work.
If you like some autocompletion starting from the home directory use "~\".
This will show the contents of your home directory and let you tab-complete.
Comment 2 Petr Kremensky 2013-11-06 03:48:02 EST
I'll look into this once CR1 will be available. We can create BZ just for  C:\ tab filling issue later targeting 6.3+ release.
Comment 3 Petr Kremensky 2013-11-15 07:05:00 EST
Verified on EAP 6.2.0.CR1 installer.

I'll create BZ just for path starting with driver letter in post-GA time.
Comment 5 Petr Kremensky 2013-11-20 02:40:45 EST
You're right, paths with a drive letter are still not auto-completed, thing which was fixed here is that tilde '~' is now substituted with full path once user press the 'tab' key ( ~ -> 'tab' -> /home/pkremens ). 

On windows it is C:\Users\${username}.

No problem Lucas, feel free to ask once there is anything unclear.
Comment 7 Petr Kremensky 2013-11-21 02:31:17 EST
I agree with you that the name of issue is not reflecting the fix. I've changed the summary for the issue as you proposed. 

I'll create a new issue targeting 6.3 just for path starting with driver name, so we can document it as known issue.

Fixed part is not related only to windows. 
On linux, tilde was expanded into home/ before (see bug 883419 comment 7), but you couldn't use tab to expand anymore from this location. With the fix, the tilde is expanded to /home/$user so you can still use tab for path filling.

Note You need to log in before you can comment on or make changes to this bug.